#import <Cocoa/Cocoa.h>

typedef struct _PointList {
	NSPoint point;
	struct _PointList *next;
} PointList;


//DrawObjects are the paintable object used by BuiltInDeviceView to paint on top of a graphics device
@interface DrawObject : NSObject {

	NSString *name; //We have plans to make the object array available to R somehow so this will identify them
	
	BOOL      stroke;
	CGFloat   strokeWidth;
	NSColor  *strokeColor;

	BOOL      fill;
	NSColor  *fillColor;
	
	int         npoints;
	PointList  *points;
}

@end
