//
//  DrawObject.m
//  R
//
//  Created by Byron Ellis on 3/1/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "DrawObject.h"


@implementation DrawObject
+ (NSString*)initialObjectName {
	static int objectCount = 0;
	return [NSString stringWithFormat:@"Object %d",++objectCount];
}
- (id)init {
	if(nil == [super init]) return nil;
	fill      = YES;
	fillColor = [NSColor whiteColor];
	
	stroke      = YES;
	strokeColor = [NSColor blackColor];
	strokeWidth = 1.0;
	
	npoints = 0;
	points  = NULL;

	return self;
}

- (void) finalize {
	while(NULL != points) {
		PointList *p = points;
		points = p->next;
		free(p);
	}
	[super finalize];
}

- (NSInteger)minimumInitialPoints { return 0; }
- (NSInteger)maximumInitialPoints { return 0; }



@end
